AMQPChannel::isConnected
AMQPChannel::rollbackTransaction
AMQPChannel
PHP Manual

# AMQPChannel::qos

(PECL amqp >= Unknown)

AMQPChannel::qos — Set the Quality Of Service settings for the given channel

### Description

public void AMQPChannel::qos ( int `$size` , int `$count` )

Specify the amount of data to prefetch in terms of window size (octets) or number of messages from a queue during a AMQPQueue::consume() or AMQPQueue::get() method call. The client will prefetch data up to `size` octets or `count` messages from the server, whichever limit is hit first.

Setting either value to 0 will instruct the client to ignore that particular setting.

A call to AMQPChannel::qos() will overwrite any values set by calling AMQPChannel::setPrefetchSize() and AMQPChannel::setPrefetchCount().

If the call to either AMQPQueue::consume() or AMQPQueue::get() is done with the `AMQP_AUTOACK` flag set, the client will not do any prefetching of data, regardless of the QOS settings.

### Parameters

`size`

  The window size, in octets, to prefetch.

`count`

  The number of messages to prefetch.

### Errors/Exceptions

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPChannel::isConnected
AMQPChannel::rollbackTransaction
AMQPChannel
PHP Manual